Page 1 of 1

WIFI Issues

Posted: Mon Jan 15, 2018 6:57 pm
by pfd27
Hi All

I've been having problems with my wifi crashing after my laptop wakes up from sleep.
I just reinstalled 18.3 Cinnamon so it is a fresh install. I have hibernate disabled.

After waking up no wifi signal are listed and I had been issuing the command " sudo -S systemctl restart network-manager"
which would restart network manager and all was good. The only problem is that it will only work with a 4.4 kernel.
Any newer kernel require a reboot to get it working again.
I haven't been able to find a fix on google. Hoping someone might know how to track down the issue with me.

Thanks

Re: WIFI Issues

Posted: Mon Jan 15, 2018 7:17 pm
by JeremyB
Why do you need a kernel newer than the 4.4?

I would try

Code: Select all

sudo sed -i 's/wifi.powersave = 3/wifi.powersave = 2/' /etc/NetworkManager/conf.d/default-wifi-powersave-on.conf
systemctl restart network-manager.service
And see if the crashes stop

Re: WIFI Issues

Posted: Mon Jan 15, 2018 7:39 pm
by pfd27
I can roll back no problem, but it still crashes. I can restart network manager without rebooting is all.
I'll try what you suggested.

Thanks

SOLVED Re: WIFI Issues

Posted: Tue Jan 16, 2018 1:28 pm
by pfd27
Did what you suggested and dropped to 4.8 kernel and seems to be working well.
Thanks

Re: WIFI Issues

Posted: Tue Jan 16, 2018 4:19 pm
by Thaddeus-maximus
i could be wrong but i think the 4.8 kernel is no longer supported

Re: WIFI Issues

Posted: Tue Jan 16, 2018 5:47 pm
by JeremyB
Thaddeus-maximus wrote:i could be wrong but i think the 4.8 kernel is no longer supported
EOL as of last August, that is the reason I asked why anything newer than 4.4 was needed as it still has 3 years of support

Re: WIFI Issues

Posted: Tue Jan 16, 2018 8:58 pm
by Thaddeus-maximus
true but pfd27 says he dropped to 4.8 kernel which is why i said that as he/she won't be getting updates and such.

Re: WIFI Issues

Posted: Tue Jan 16, 2018 9:56 pm
by pfd27
So what kernel is supported right now? :) 4.4 or 4.8? To be honest I find whats being supported or not a little confusing

Re: WIFI Issues

Posted: Tue Jan 16, 2018 10:19 pm
by Thaddeus-maximus
true, lol. i've got the latest 4.4 kernel as i havent needed to go higher for my 18.1 cinnamon

Re: WIFI Issues

Posted: Wed Jan 17, 2018 7:14 am
by JeremyB
https://wiki.ubuntu.com/Kernel/LTSEnabl ... el_Support
The 4.4 kernel is supported until around April 2021, 4.8 was EOL August 2017, 4.10 will be EOL by the end of month but I think Ubuntu stopped support early because of the Meltdown patches, and 4.13 is only supported until August 2018

Re: WIFI Issues

Posted: Thu Jan 18, 2018 11:09 pm
by pfd27
Thanks for the info. Back to 4.4. All is well.